PKIStatusInfo (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.cmp

## Class PKIStatusInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.PKIStatusInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class PKIStatusInfo
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKIStatusInfo(PKIStatus status)`
    `PKIStatusInfo(PKIStatus status, PKIFreeText statusString)`
    `PKIStatusInfo(PKIStatus status, PKIFreeText statusString, PKIFailureInfo failInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DERBitString` | `getFailInfo()`
    `static PKIStatusInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static PKIStatusInfo` | `getInstance(java.lang.Object obj)`
    `java.math.BigInteger` | `getStatus()`
    `PKIFreeText` | `getStatusString()`
    `ASN1Primitive` | `toASN1Primitive()` PKIStatusInfo ::= SEQUENCE { status PKIStatus, (INTEGER) statusString PKIFreeText OPTIONAL, failInfo PKIFailureInfo OPTIONAL (BIT STRING) } PKIStatus: granted (0), -- you got exactly what you asked for grantedWithMods (1), -- you got something like what you asked for rejection (2), -- you don't get it, more information elsewhere in the message waiting (3), -- the request body part has not yet been processed, expect to hear more later revocationWarning (4), -- this message contains a warning that a revocation is imminent revocationNotification (5), -- notification that a revocation has occurred keyUpdateWarning (6) -- update already done for the oldCertId specified in CertReqMsg PKIFailureInfo: badAlg (0), -- unrecognized or unsupported Algorithm Identifier badMessageCheck (1), -- integrity check failed (e.g., signature did not verify) badRequest (2), -- transaction not permitted or supported badTime (3), -- messageTime was not sufficiently close to the system time, as defined by local policy badCertId (4), -- no certificate could be found matching the provided criteria badDataFormat (5), -- the data submitted has the wrong format wrongAuthority (6), -- the authority indicated in the request is different from the one creating the response token incorrectData (7), -- the requester's data is incorrect (for notary services) missingTimeStamp (8), -- when the timestamp is missing but should be there (by policy) badPOP (9) -- the proof-of-possession failed

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKIStatusInfo

          public PKIStatusInfo(PKIStatus status)

      Parameters:
        `status` -

    - #### PKIStatusInfo

          public PKIStatusInfo(PKIStatus status,
                       PKIFreeText statusString)

      Parameters:
        `status` -
        `statusString` -

    - #### PKIStatusInfo

          public PKIStatusInfo(PKIStatus status,
                       PKIFreeText statusString,
                       PKIFailureInfo failInfo)

  - ### Method Detail

    - #### getInstance

          public static PKIStatusInfo getInstance(ASN1TaggedObject obj,
                                  boolean explicit)

    - #### getInstance

          public static PKIStatusInfo getInstance(java.lang.Object obj)

    - #### getStatus

          public java.math.BigInteger getStatus()

    - #### getStatusString

          public PKIFreeText getStatusString()

    - #### getFailInfo

          public DERBitString getFailInfo()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           PKIStatusInfo ::= SEQUENCE {
               status        PKIStatus,                (INTEGER)
               statusString  PKIFreeText     OPTIONAL,
               failInfo      PKIFailureInfo  OPTIONAL  (BIT STRING)
           }

           PKIStatus:
             granted                (0), -- you got exactly what you asked for
             grantedWithMods        (1), -- you got something like what you asked for
             rejection              (2), -- you don't get it, more information elsewhere in the message
             waiting                (3), -- the request body part has not yet been processed, expect to hear more later
             revocationWarning      (4), -- this message contains a warning that a revocation is imminent
             revocationNotification (5), -- notification that a revocation has occurred
             keyUpdateWarning       (6)  -- update already done for the oldCertId specified in CertReqMsg

           PKIFailureInfo:
             badAlg           (0), -- unrecognized or unsupported Algorithm Identifier
             badMessageCheck  (1), -- integrity check failed (e.g., signature did not verify)
             badRequest       (2), -- transaction not permitted or supported
             badTime          (3), -- messageTime was not sufficiently close to the system time, as defined by local policy
             badCertId        (4), -- no certificate could be found matching the provided criteria
             badDataFormat    (5), -- the data submitted has the wrong format
             wrongAuthority   (6), -- the authority indicated in the request is different from the one creating the response token
             incorrectData    (7), -- the requester's data is incorrect (for notary services)
             missingTimeStamp (8), -- when the timestamp is missing but should be there (by policy)
             badPOP           (9)  -- the proof-of-possession failed

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.